# Class: TestConnector

Defined in: | lib/Connectors/TestConnector.coffee

## Overview

A trivial Connector that simulates network delay.

## Instance Method Summary

- # (void) getOpsInExecutionOrder() This engine applied operations in a specific order.
- # (void) send(o) This function is called whenever an operation was executed.
- # (void) receive(o) This function is called whenever an operation was received from another peer.
- # (void) flushOne(user) Flush one operation from the line of a specific user.
- # (void) flushOneRandom() Flush one operation on a random line.
- # (void) flushAll() Flush all operations on every line.

## Constructor Details

# (void) constructor(engine, HB, execution_listener)

### Parameters:

- engine ( `Engine` ) — The transformation engine
- HB ( `HistoryBuffer` )
- execution_listener ( `Array<Function>` ) — You must ensure that whenever an operation is executed, every function in this Array is called.
- yatta ( `Yatta` ) — The Yatta framework.

## Instance Method Details

# (void) getOpsInExecutionOrder()

This engine applied operations in a specific order. Get the ops in the right order.

# (void) send(o)

This function is called whenever an operation was executed.

### Parameters:

- o ( `Operation` ) — The operation that was executed.

# (void) receive(o)

This function is called whenever an operation was received from another peer.

### Parameters:

- o ( `Operation` ) — The operation that was received.

# (void) flushOne(user)

Flush one operation from the line of a specific user.

# (void) flushOneRandom()

Flush one operation on a random line.

# (void) flushAll()

Flush all operations on every line.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input